Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.network
Interface AnalysisInfo

public interface AnalysisInfo

This interface defines methods for retrieving the analysis information. The information includes: the start node, the current node, the next node, the current link, the next link, the current path depth (no of links in the path), the current path cost, the current path duration, and all links in the current path.

Method Summary
`double` | `getCurrentCost()` Returns the current path cost.
`int` | `getCurrentDepth()` Returns the current path depth.
`double` | `getCurrentDuration()` Returns current accumulated duration
`Link` | `getCurrentLink()` Returns the current link.
`Node` | `getCurrentNode()` Returns the current node.
`Link` | `getNextLink()` Returns the next link.
`Node` | `getNextNode()` Returns the next node.
`java.util.Vector` | `getPathLinkVec()` Returns the current path links as a Vector.
`java.util.Vector` | `getPathNodeVec()` Returns the current path nodes as a Vector.
`Node` | `getStartNode()` Returns the start node.

Method Detail

### getStartNode

    public Node getStartNode()

  Returns the start node.

### getCurrentNode

    public Node getCurrentNode()

  Returns the current node.

### getNextNode

    public Node getNextNode()

  Returns the next node.

### getCurrentLink

    public Link getCurrentLink()

  Returns the current link.

### getNextLink

    public Link getNextLink()

  Returns the next link.

### getCurrentDepth

    public int getCurrentDepth()

  Returns the current path depth.

### getCurrentCost

    public double getCurrentCost()

  Returns the current path cost.

### getPathLinkVec

    public java.util.Vector getPathLinkVec()

  Returns the current path links as a Vector.

### getPathNodeVec

    public java.util.Vector getPathNodeVec()

  Returns the current path nodes as a Vector.

### getCurrentDuration

    public double getCurrentDuration()

  Returns current accumulated duration

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.